#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2two27004xi.py">
#<abstract4xi abstract = "fires to direction two and to distance 2700"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2two27004xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y - ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2two27004xi

#"
#/>

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

# -------------------------------------------------------------------------------------------------
# 2700
# -------------------------------------------------------------------------------------------------
shot2two27004xi = {
        1:'1008x-1107y-2246z',
        2:'103x-1773y-2033z',
        3:'1049x-1037y-2261z',
        4:'1050x-2472y-272z',
        5:'107x-1144y-2443z',
        6:'1084x-965y-2276z',
        7:'108x-1433y-2285z',
        8:'10x-1796y-2015z',
        9:'1116x-893y-2290z',
        10:'1142x-820y-2304z',
        11:'1143x-53y-2445z',
        12:'1163x-115y-2433z',
        13:'1164x-746y-2318z',
        14:'1177x-2411y-299z',
        15:'1180x-179y-2421z',
        16:'1181x-673y-2332z',
        17:'1192x-246y-2409z',
        18:'1194x-600y-2345z',
        19:'1201x-314y-2397z',
        20:'1202x-527y-2359z',
        21:'1206x-384y-2384z',
        22:'1206x-455y-2372z',
        23:'1300x-2343y-326z',
        24:'1390x-2314y-25z',
        25:'1419x-2269y-352z',
        26:'1509x-2237y-52z',
        27:'1534x-2188y-379z',
        28:'1624x-2155y-79z',
        29:'163x-1112y-2454z',
        30:'1644x-2102y-406z',
        31:'1734x-2066y-106z',
        32:'1749x-2010y-432z',
        33:'180x-1402y-2299z',
        34:'1839x-1972y-133z',
        35:'1849x-1912y-459z',
        36:'1938x-1872y-160z',
        37:'193x-1745y-2051z',
        38:'1943x-1810y-486z',
        39:'2031x-1702y-512z',
        40:'2032x-1767y-187z',
        41:'2113x-1591y-539z',
        42:'2120x-1657y-214z',
        43:'217x-1078y-2465z',
        44:'2189x-1475y-565z',
        45:'2202x-1542y-240z',
        46:'2258x-1355y-591z',
        47:'2278x-1423y-267z',
        48:'2321x-1232y-618z',
        49:'2347x-1301y-294z',
        50:'236x-2687y-110z',
        51:'2376x-1106y-644z',
        52:'2409x-1175y-321z',
        53:'2425x-978y-670z',
        54:'2464x-1046y-348z',
        55:'2466x-847y-696z',
        56:'249x-1368y-2313z',
        57:'2501x-715y-722z',
        58:'2512x-914y-375z',
        59:'2527x-582y-748z',
        60:'2547x-447y-774z',
        61:'2553x-780y-401z',
        62:'2559x-312y-800z',
        63:'2561x-43y-852z',
        64:'2564x-177y-826z',
        65:'2586x-644y-428z',
        66:'2607x-698y-7z',
        67:'2612x-507y-455z',
        68:'2630x-369y-481z',
        69:'2640x-561y-34z',
        70:'2641x-231y-508z',
        71:'2644x-92y-534z',
        72:'2666x-422y-61z',
        73:'267x-1041y-2476z',
        74:'2683x-282y-88z',
        75:'2693x-141y-115z',
        76:'281x-1712y-2068z',
        77:'315x-1331y-2327z',
        78:'325x-1039y-2579z',
        79:'34x-1459y-2271z',
        80:'366x-1674y-2085z',
        81:'376x-2670y-137z',
        82:'378x-1290y-2341z',
        83:'437x-1246y-2354z',
        84:'447x-1633y-2102z',
        85:'48x-1172y-2431z',
        86:'493x-1200y-2367z',
        87:'515x-2645y-164z',
        88:'525x-1587y-2119z',
        89:'545x-1151y-2380z',
        90:'593x-1100y-2393z',
        91:'600x-1538y-2136z',
        92:'637x-1047y-2405z',
        93:'652x-2612y-191z',
        94:'671x-1484y-2152z',
        95:'678x-992y-2417z',
        96:'714x-936y-2429z',
        97:'738x-1428y-2168z',
        98:'746x-879y-2441z',
        99:'749x-21y-2593z',
        100:'773x-63y-2586z',
        101:'774x-821y-2452z',
        102:'788x-2573y-218z',
        103:'794x-106y-2578z',
        104:'799x-762y-2463z',
        105:'801x-1369y-2184z',
        106:'813x-153y-2570z',
        107:'819x-703y-2474z',
        108:'828x-201y-2561z',
        109:'835x-644y-2485z',
        110:'841x-251y-2553z',
        111:'847x-585y-2495z',
        112:'851x-304y-2544z',
        113:'855x-527y-2505z',
        114:'857x-358y-2534z',
        115:'859x-1307y-2200z',
        116:'859x-469y-2515z',
        117:'860x-413y-2525z',
        118:'913x-1242y-2216z',
        119:'920x-2526y-245z',
        120:'95x-2697y-83z',
        121:'963x-1175y-2231z'}
        
        
#"
#"/>

        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire2700two4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire2700two4xi(queue2two, consumer_channel2two, publisher_channel2two):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE2700TWO4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE2700TWO4XI -  QUEUE2TWO: ", queue2two)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE2700TWO4XI -  CONSUMER_CHANNEL2TWO: ", consumer_channel2two)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE2700TWO4XI -  PUBLISHER_CHANNEL2TWO: ", publisher_channel2two)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE2700TWO4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2two.put(shot2two27004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE2700TWO4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE2700TWO4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE2700TWO4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2two8shot2two27004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2two8shot2two27004xi</nack2put4xi>" 
            
        publisher_channel2two.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE2700TWO4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE2700TWO4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE2700TWO4XI - RETURNING QUEUE OBJECT QUEUE2TWO: ", queue2two, " - TIME: ", time4xi())  
        # 
            
    return queue2two    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verbkb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2two27004xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
        